Page MenuHomePhabricator

tracking task: jessie -> stretch
Closed, InvalidPublic

Description

one tracking task that links all the "upgrade jessie to stretch" tickets as children.

do we want it?

let me know if yes, then i will of course make this description better and link more relevant tickets. the ones i did are kind of as an example because i noticed us starting the first stretch tickets like that now that stretch is stable.

also see the nice graph we get from this below..

Event Timeline

Dzahn created this task.Jun 21 2017, 4:49 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 21 2017, 4:49 AM
Dzahn updated the task description. (Show Details)Jun 21 2017, 4:53 AM
Dzahn updated the task description. (Show Details)
Dzahn added a subscriber: faidon.
Dzahn added a subscriber: mark.Jun 21 2017, 5:04 AM

I doubt this tracking bug is going to be particularly useful, there'll be lots of clusters/systems migrated without updating this bug. This is mostly useful when you're tracking a finite set of remaining systems (as we did for precise), but not at this point of the stretch life time.

I doubt this tracking bug is going to be particularly useful

I agree with moritz for the following technical reasons:

  • No one has agreed to get rid of jessies. While it may be the natural thing to do, maybe before it is completed, the goal has moved to stretch+1. In some rare cases for certain reasons maybe a debian migration may be undesired (openstack/docker support/CI reasons, etc.)
  • Several things are mixed into one- supporting the upgrade and actually doing it. The tickets added as subtasks- mysql preparation will be closed as soon as the upgrade is possible- but that doesn't mean we will mass-migrate right now (for several reasons, mainly because it would imply a massive 10.1 migration that we are probably not going to do quickly). Separate the "get ready for strech" from the "actual migration"
  • As aklapper commented on other task, this is technicaly not a trackign task because this can be completed- it is finite, at least in theory. Tracking tasks would be "schema changes (tracking)" -although we use a projects, which would actually make more sense- a milestone project with concrete aims, like we did for the multi-dc/switchover.

Just an opinion.

Dzahn closed this task as Invalid.Jun 23 2017, 6:34 AM
Dzahn removed a project: Tracking-Neverending.
Krenair added a subscriber: Krenair.EditedMay 3 2019, 5:47 PM

I'm wondering if now it is time to reopen this as jessie -> stretch/buster and track misc hosts at least... From the looks of things the following misc hosts are jessie:

actinium
alcyone
alsafi
aluminium
darmstadtium
dubnium
fermium
hassaleh
hassium
kraz
krypton
mendelevium
pollux
roentgenium
seaborgium
serpens
tureis
ununpentium
cobalt
eeden
helium
heze
iron
lithium
sodium
neodymium
oxygen
promethium
rhenium
ruthenium
sarin
tungsten
wezen

at first glance in that list I'm seeing stuff relating to mailman, otrs, ldap, irc, gerrit, urldownloaders and more

@Muehlenhoff Does it make sense to reopen?

@Muehlenhoff Does it make sense to reopen?

After we've formally set the new OS policy in place (during the offsite in June), the process will involve that Foundations SRE coordinates the phase out of jessie. How that's exactly handled in Phabricator isn't settled yet, but I think we can keep this bug closed in favour of the new process.